package com.yc.education.service.impl;/**
 * huangpan
 * 2019/10/14
 * energy
 */

import com.yc.education.mapper.IdeaMapper;
import com.yc.education.model.Idea;
import com.yc.education.service.IdeaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *@ClassName IdeaServiceImpl
 *@Description TODO
 *@Author QuZhangJing
 *@Date 2019/10/14 9:40
 *@Version 1.0
 */
@Service
public class IdeaServiceImpl  extends BaseService<Idea> implements IdeaService {

    @Autowired
    IdeaMapper ideaMapper;

    @Override
    public List<Idea> getIdeas() {
        return ideaMapper.getIdeas();
    }

    @Override
    public Idea getIdeaById(Integer id) {
        return ideaMapper.getIdeaById(id);
    }
}
